Skip to content
Proud to collaborate with Microsoft for Startups

docusign.users.delete-users ​

Closes one or more users in the account, preventing them from accessing account features. Users are not permanently deleted. The request body requires only the IDs of the users to close: json { "users": [ { "userId": "6b67a1ee-xxxx-xxxx-xxxx-385763624163" }, { "userId": "b6c74c52-xxxx-xxxx-xxxx-457a81d88926" }, { "userId": "464f7988-xxxx-xxxx-xxxx-781ee556ab7a" } ] } You can use Users:update to re-open a closed user.

Closes one or more users in the account.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
deletestringNo—A list of groups to remove the user from. A comma-separated list of the following: - Groups - PermissionSet - SigningGroupsEmail
userslistNo—An array of userInfo objects containing information about the users in the group.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
deletestringNo—A list of groups to remove the user from. A comma-separated list of the following: - Groups - PermissionSet - SigningGroupsEmail
userslistNo—An array of userInfo objects containing information about the users in the group.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call DELETE /v2.1/accounts/{accountId}/users
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform DELETE /v2.1/accounts/{accountId}/users
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.users.delete-users",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}